-- New Era Settler +Walls --
-- Author: Das_Capitolin --
----------------------------------------------------------------------------------------------------
	-- Grants player a settler when they enter a new era.
local function GrantSettlerEachEra( playerID )
	local player = Players[playerID];
	if (player:IsMajor()) then
		local CapitalCity = player:GetCities():GetCapitalCity();
		if (CapitalCity ~= nil) then
			if (player:GetUnits() ~= nil) then
				player:GetUnits():Create("UNIT_SETTLER", CapitalCity:GetX(), CapitalCity:GetY());
			end
		end
	end
end
Events.PlayerEraChanged.Add(GrantSettlerEachEra);